/*
=======================================================================
    INVITACION_BASICA
    
=======================================================================
    TABLA DE CONTENIDO
=======================================================================
    1. Estilos Generales
    2. Encabezado de presentación
    3. Pagina sobrepuesta
    4. Frase personalizable
    5. Cuenta regresiva
    6. Fecha y lugar del evento
    7. Itinerario
    8. RSPV
    9. Dress code
    10. Mesa de regalos
    11. Galería y hashtag
    12. Botón GOTOP
    13. Footer
*/

/*
=======================================================================
    1. ESTILOS GENERALES
=======================================================================
*/
/* Variables */
:root {
    --azul-oscuro: #2B4162;
    --azul-claro: #385F71;
    --beige: #D7B377;
    --cafe: #8F754F;
    --negro: #252525;
    --gris: #6D6D6D;
    --blanco: #F5F0F6;
    --font-base: 'Josefin Sans', sans-serif;
    --font-titulo: 'Leckerli One', cursive;
    --font-subtitulo: 'Merriweather', serif;
}

/* Desplazamiento en pagina */
html {
    scroll-behavior: smooth;
}

/* Selector universal */
*,
*::after,
*::before {
    margin: 0;
    padding: 0;
}

/* Color de pagina y tipografía base */
body {
    background-image: linear-gradient(rgba(43, 65, 98, 0.702), rgb(43, 65, 98, 0.1)), url(https://cdn.pixabay.com/photo/2017/08/06/20/11/wedding-2595862_1280.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    font-family: var(--font-base) !important;
}

/* Envoltorio de contenido */
.page-wrapper {
    position: relative;
    margin: 0 auto;
    width: 100%;
    min-width: 150px;
    z-index: 9;
    overflow: hidden;
    height: auto;
}

@media only screen and (min-width: 200px) and (max-width: 767px) {
    .page-wrapper {
        overflow: hidden;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .page-wrapper {
        overflow: hidden;
    }
}

/* Propiedades de animación de entrada*/
.hidden {
    opacity: 0;
    transition: all 0.9s ease-in;
}

.mostrar {
    animation: tracking-in-expand 0.9s linear both;
    opacity: 1;
}

@keyframes tracking-in-expand {
    0% {
        letter-spacing: -.2em;
        opacity: 0
    }

    40% {
        opacity: .6
    }

    100% {
        opacity: 1
    }
}

/* =======================================================================
    2. ENCABEZADO DE PRESENTACIÓN
======================================================================= */
/* Formato de fondo */
#hero {
    height: 47rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Nombres de la pareja */
#hero h1 {
    color: var(--blanco);
    font-family: var(--font-titulo);
    font-size: 5.5em;
}

/* Presentación del evento */
#hero p {
    color: var(--beige);
    font-family: var(--font-subtitulo);
    font-style: italic;
    font-size: 2em;
}

/* Fecha */
#hero h3 {
    color: var(--blanco);
    font-family: var(--font-subtitulo);
    font-size: 1.5em;
}

/* =======================================================================
    3. PAGINA SOBREPUESTA
======================================================================= */
#pagina-sobrepuesta {
    width: 100%;
    background-color: #fff;
}

/* =======================================================================
    4. FRASE PERSONALIZABLE: AGRADECIMIENTO DE FESTEJADA Y FAMILIA
======================================================================= */
/* Definicion de tarjeta */
#txt-personalizado #frase-pareja .card {
    position: relative;
    display: flex;
    margin: 0 auto;
    border-color: transparent !important;
    border-radius: 0% !important;
    background-color: var(--azul-oscuro);
}

/* Parrafo en tarjeta */
#txt-personalizado #frase-pareja .card-body p {
    color: var(--blanco);
    font-family: var(--font-subtitulo);
    text-align: center;
    font-size: 1.7em;
    font-style: italic;
    margin-left: 15%;
    margin-right: 15%;
}

/* Presentación de padres de la pareja */
#txt-personalizado #frase-familiar .card {
    width: 45rem;
    height: 35rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--blanco);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    border-color: var(--azul-claro);
    border-radius: 0%;
    border-width: 15px;
    border-style: double;
}

#txt-personalizado #frase-familiar h3 {
    color: var(--cafe);
    font-family: var(--font-titulo);
    font-size: 2.2em;
    margin-top: 0;
    margin-bottom: 0;
}

#txt-personalizado #frase-familiar #txt-otro {
    color: var(--negro);
    font-size: 1.8em;
}

#txt-personalizado #frase-familiar #padres {
    color: var(--negro);
    font-size: 1.5em;
    font-style: italic;
    margin-bottom: 0%;
}

@media only screen and (min-width: 200px) and (max-width: 767px) {
    
    #txt-personalizado #frase-familiar #txt-otro {
        font-size: 1.3em;
    }

    #txt-personalizado #frase-familiar #padres {
        font-size: 1.2em;
    }

    #txt-personalizado #frase-familiar h3 {
        font-size: 1.3em;
    }

}

/* =======================================================================
    5. CUENTA REGRESIVA
======================================================================= */
#contador {
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.5)), url(https://cdn.pixabay.com/photo/2019/04/10/11/56/watercolor-4116932_1280.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/* Contenedor de contador */
#contador .card {
    height: 100vh;
    width: 40rem;
    background-image: url(https://cdn.pixabay.com/photo/2023/06/17/22/51/shoes-8070909_1280.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-color: #ffffff8b;
    color: var(--blanco);
    font-family: var(--font-subtitulo);
}

#contador .card-body {
    position: absolute;
    bottom: 0;
}

#contador .card-body h2 {
    font-size: 3.2em;
    padding-right: 5%;
}

/* Circulos del contador */
#contador .simply-section {
    width: 6rem;
    height: 6rem;
    margin: 10px 10px;
    border-radius: 25px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: var(--blanco);
    font-family: var(--font-base);
}

/* Números */
#contador .simply-amount {
    display: block;
    font-weight: 300;
    font-size: 30px !important;
    margin-bottom: -5px !important;
}

/* Texto */
#contador .simply-word {
    font-weight: 300 !important;
    font-size: 20px !important;
}

/* =======================================================================
    6. FECHA Y LUGAR DEL EVENTO
======================================================================= */
#fecha-lugar h2 {
    font-family: var(--font-subtitulo);
    font-size: 3em;
    color: var(--azul-claro);
}

#fecha-lugar p {
    font-size: 1.3em;
    color: var(--negro);
    margin-bottom: 2%;
}

/* Definicion de tarjeta */
#fecha-lugar .card {
    position: relative;
    display: flex;
    margin: 0 auto;
    border-color: transparent !important;
}

/* Icono en tarjeta */
#fecha-lugar .material-symbols-outlined {
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24;
    color: var(--azul-oscuro) !important;
    font-size: 6em !important;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 4%;
}


/* Icono en tarjeta */
#fecha-lugar .card-body iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

/* Titulo en tarjeta */
#fecha-lugar .card-body .card-title {
    color: var(--azul-oscuro);
    text-transform: uppercase;
    text-align: center;
    font-size: 1em;
    margin-top: 1%;
}

/* Parrafo en tarjeta */
#fecha-lugar .card-body .card-text {
    color: var(--negro);
    text-align: center;
    font-size: 1.3em;
    font-weight: 600;
}

/* Parrafo en tarjeta */
#fecha-lugar .card-body #direccion {
    color: var(--gris);
    text-align: center;
    font-size: 0.9em !important;
}

/* Link de boton en tarjeta */
#fecha-lugar .card-body a {
    display: block;
    margin: 0 auto;
    text-decoration: underline;
    text-align: center;
    color: var(--azul-claro);
    font-size: 0.9em;
    transition: 0.8s ease-in-out;
}

#fecha-lugar .card-body a:hover {
    color: var(--cafe);
    text-decoration: none;
    transition: 0.8s ease-in-out;
}


/* =======================================================================
    7. ITINERARIO
======================================================================= */
/* Titulo de sección */
#itinerario h2 {
    font-family: var(--font-subtitulo);
    font-size: 3em;
    color: var(--azul-claro);
}

#itinerario .material-symbols-outlined {
    font-variation-settings:
        'FILL' 0,
        'wght' 1200,
        'GRAD' 0,
        'opsz' 48;
    font-size: 60px !important;
    color: var(--azul-claro) !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.timeline {
    display: block;
    margin: 0 auto;
    max-width: 300px;
    width: 100%;
}

.timeline-item {
    position: relative;
    padding: 20px;
    margin-bottom: 20px;
    background-color: #fff;
}

.timeline-item.left {
    border-right: 2px solid var(--azul-claro);
    right: 49%;
    text-align: end !important;
}

.timeline-item.right {
    border-left: 2px solid var(--azul-claro);
    left: 50%;
}

.timeline-item::after {
    content: '';
    position: absolute;
    top: 50%;
    left: -6px;
    transform: translateY(-50%);
    width: 12px;
    height: 12px;
    background-color: var(--azul-claro);
    border-radius: 50%;
    border: 2px solid #fff;
}

.timeline-item.left::after {
    left: auto;
    right: -6px;
}

.timeline-content {
    margin-bottom: 10px;
}

.timeline-content svg {
    display: block;
    margin: 0 auto;
    width: 60px;
    height: 60px;
}

.timeline-content h3 {
    color: var(--gris);
    font-size: 1.5em;
    margin-top: 5%;
    letter-spacing: 2px;
}

.timeline-content p {
    text-align: justify;
    letter-spacing: 0px;
}

.timeline-date {
    font-size: 14px;
    color: #777;
}


@media only screen and (min-width: 200px) and (max-width: 767px) {
    .timeline {
        display: block;
        margin: 0 auto;
        max-width: 170px;
        width: 100%;
    }


    .timeline-content svg {
        width: 70px;
        height: 70px;
    }

    .timeline-item.right svg {
        margin-left: 15%;
    }

    .timeline-item.right span {
        margin-left: -30%;
    }

    .timeline-item.right {
        padding-right: 25%;
    }

    .timeline-item.left svg {
        margin-right: 15%;
    }

    .timeline-item.left span {
        margin-right: -40%;
    }

    .timeline-item.left {
        padding-left: 25%;
    }


    .timeline-content h3 {
        color: var(--gris);
        font-size: 1.1em;
        text-wrap: wrap;
        margin-top: 5%;
        letter-spacing: 1px;
    }

    .timeline-content p {
        text-align: justify;
        letter-spacing: -1px;
        text-wrap: wrap;
        font-size: 0.9em;
    }

    .timeline-date {
        font-size: 12px;
        color: #777;
    }
}

/* =======================================================================
    8. RSPV
======================================================================= */
#rspv .container {
    background-image: linear-gradient(rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.6)), url(https://cdn.pixabay.com/photo/2019/04/10/11/56/watercolor-4116932_1280.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/* Texto de invitacion */
#rspv p {
    color: var(--negro);
    font-family: var(--font-base);
    font-size: 1.5em;
}

/* Diseño de botón */
#rspv a {
    width: auto;
    height: 4rem !important;
    padding: 1rem 2rem 1rem 2rem;
    margin-top: 8rem;
    margin-bottom: 5rem;
    border-radius: 0.5rem;
    background-color: var(--azul-claro);
    text-align: center;
    color: var(--blanco);
    font-size: 1.3em;
    text-decoration: none;
    transition: 0.8s ease-in-out;
}

#rspv a:hover {
    background-color: var(--gris);
    box-shadow: inset 20rem 0 0 0 var(--amarillo);
    color: var(--negro);
    text-decoration: none;
    transition: 0.8s ease-out;
}

@media screen and (max-width: 768px) {
    #rspv a {
        padding: 0.8rem 1.5rem 0.8rem 1.5rem;
        margin-top: 4rem;
        margin-bottom: 3rem;
        font-size: 1em;
    }
}

/* Modal de confirmación */
.modal {
    display: none;
    position: fixed;
    z-index: 99;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.3);
}

.modal-content {
    background-color: #fff;
    margin: 5% auto;
    padding: 45px;
    border: 3px solid var(--azul-claro);
    width: 60%;
    animation: scale-up-vertical-center 0.5s;
    transition: all 0.5s ease-in-out;
}

@keyframes scale-up-vertical-center {
    0% {
        transform: scaleY(.2);
    }

    100% {
        transform: scaleY(1);
    }
}

.modal-content h1 {
    text-align: center;
    font-size: 2em;
    font-family: var(--font-base);
    color: var(--azul-claro);
}

.modal-content p,
label {
    text-align: center;
    font-size: 1.2em;
    color: var(--negro);
}

.modal-content select {
    height: 2rem !important;
}

.modal-content input {
    color: var(--negro);
}

.modal-content #nombreCompleto {
    width: 12em;
    display: block;
    margin: 0 auto;
}

.modal-content #cantidadAcompanantes {
    width: 4em;
    height: 2em;
}

@media only screen and (min-width: 200px) and (max-width: 767px) {
    .modal-content {
        margin: 0 auto;
        padding: 10px;
        border: 3px solid var(--azul-claro);
        width: 90%;
        animation: scale-up-vertical-center 0.5s;
        transition: all 0.5s ease-in-out;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .modal-content {
        background-color: #fff;
        margin: 5% auto;
        padding: 50px;
        border: 3px solid var(--azul-claro);
        width: 90%;
        animation: scale-up-vertical-center 0.5s;
        transition: all 0.5s ease-in-out;
    }
}


/* Boton de cierre de modal */
.close {
    color: #aaa;
    float: right;
    font-size: 35px;
    transition: all 0.5s ease-in-out;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
    transition: all 0.5s ease-in-out;
}

/* =======================================================================
    9. DRESS CODE
======================================================================= */
/* Titulo sección */
#dress-code h2 {
    font-family: var(--font-subtitulo);
    font-size: 2.5em;
    color: var(--azul-claro);
}

/* Texto de invitacion */
#dress-code p {
    font-size: 1.2em;
    color: var(--negro);
}

#dress-code ul,
li {
    font-size: 1em;
    color: var(--gris);
}

/* =======================================================================
    10. MESA DE REGALOS
======================================================================= */
/* Titulo sección */
#mesa-regalos h2 {
    font-family: var(--font-subtitulo);
    font-size: 2.5em;
    color: var(--azul-claro);
}

/* Texto de invitacion */
#mesa-regalos p {
    font-size: 1.2em;
    color: var(--negro);
}

#mesa-regalos img.shop-gift1,
img.shop-gift2 {
    width: 50%;
    height: 90%;
    border-radius: 10px;
    align-items: center;
    border: 1px solid #c9c9c9;
}

/* =======================================================================
    11. MESA DE REGALOS
======================================================================= */
/* Titulo sección */
#hoteles h2 {
    font-family: var(--font-subtitulo);
    font-size: 2.2em;
    color: var(--azul-claro);
}

@media screen and (max-width: 768px) {
    #hoteles h2 {
        font-size: 1.9em;
    }

}

/* Texto de invitacion */
#hoteles p {
    font-size: 1.2em;
    color: var(--negro);
}

#hoteles .card {
    border-color: transparent !important;
}

#hoteles .card-body .card-title {
    color: var(--azul-oscuro);
    text-transform: uppercase;
    text-align: center;
    font-size: 1em;
    margin-top: 1%;
}

#hoteles .card-body .card-text {
    color: var(--gris);
    text-align: center;
    font-size: 0.9em !important;
}

#hoteles .card-body .card-text a {
    text-decoration: underline;
    text-align: center;
    color: var(--azul-claro);
    font-size: 0.9em;
    transition: 0.8s ease-in-out;
}

#hoteles .card-body .card-text a:hover {
    color: var(--cafe);
    text-decoration: none;
    transition: 0.8s ease-in-out;
}

/* =======================================================================
    12. GALERÍA Y HASHTAG
======================================================================= */
/* Encabezado de sección */
#galeria-social #frase-fotos {
    height: 8rem;
    background-color: var(--beige);
    color: var(--blanco);
    font-size: 1.2em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-wrapper {
    width: 100%;
    padding-top: 15px;
    padding-bottom: 15px;
}

.swiper-slide {
    width: 900px !important;
    height: 600px !important;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
}

.swiper-pagination-bullet-active {
    opacity: 1;
    background: var(--azul-oscuro) !important;
}

.swiper-slide img {
    display: block;
    width: auto;
    margin: 0 auto;
    height: 500px;
}

/* Despedida y monograma */
#galeria-social #despedida-mono h2 {
    font-family: var(--font-subtitulo);
    font-size: 2.2em;
    color: var(--azul-oscuro);
}

/* =======================================================================
    13. BOTON GOTOP
======================================================================= */
/* Contenedor de botones */
.float-button-container {
    position: fixed;
    bottom: 1rem;
    right: -0.9rem;
    width: 3rem;
    height: 6rem;
    z-index: -1;
}

/* Definicion de forma de boton GOTOP */
.float-button-container #gotop {
    width: 0rem;
    height: 0rem;
    margin-top: 0.5rem;
    background-color: var(--cafe);
    border-radius: 45%;
    cursor: pointer;
    transition: 0.3s;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

/* Definicion de forma de boton Whatsapp */
.float-button-container #whatsapp {
    width: 0rem;
    height: 0rem;
    margin-top: 0.5rem;
    background-color: #25D366;
    border-radius: 45%;
    cursor: pointer;
    transition: 0.3s;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

/* Imagen de flecha boton GOTOP */
#gotop svg {
    width: 50%;
    margin: 15% 0% 0% 25%;
    transition: 0.3s;
}

/* Imagen de icono boton Whatsapp */
#whatsapp svg {
    width: 80%;
    margin: 5% 0% 0% 12%;
    transition: 0.3s;
}

/* Animacion de aparicion */
.show {
    z-index: 10;
}

.show #gotop {
    animation: popup 0.5s ease-in-out;
    width: 3rem;
    height: 3rem;
    z-index: 11;
}

.show #whatsapp {
    animation: popup 0.5s ease-in-out;
    width: 3rem;
    height: 3rem;
    z-index: 11;
}

.show #gotop img {
    transform: translate(-50%, -50%) scale(1);
}

.show #whatsapp img {
    transform: translate(-50%, -50%) scale(1);
}

@keyframes popup {
    0% {
        width: 0rem;
        height: 0rem;
    }

    50% {
        width: 2rem;
        height: 2rem;
    }

    100% {
        width: 3rem;
        height: 3rem;
    }
}

/* =======================================================================
    14. FOOTER
======================================================================= */
#section-rights p {
    color: #8d8d8d;
    margin-right: 5%;
}

/* Imagenes de redes */
#section-rights img {
    width: 30px;
    display: block;
    margin: 1% 0 15% 15%;
}

/* Espacio entre imagenes de redes */
#section-rights #redes img {
    margin: 0 10px;
}